package com.duanledexianxianxian.demo.redis.controller;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.data.redis.core.script.DefaultRedisScript;
import org.springframework.data.redis.serializer.RedisSerializer;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

/**
 * redis测试相关
 *
 * @author duanledexianxianxian
 */
@RestController
@RequestMapping("/api/vi/redis")
@Slf4j
public class RedisController {


    /**
     * Test redis map.
     *
     * @return the map
     */
    @GetMapping("/test1")
    public Map<String, Object> testRedis() {
        return null;
    }
}
